﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace RSVBDEMO
{
    public class DataProvider
    {
        public static List<DataItem> GetReportData()
        {
            List<DataItem> result = new List<DataItem>();

            result.Add(new DataItem() { Title = "M", Q1 = 330, Q2 = 480, Q3 = 330, Q4 = 630 });
            result.Add(new DataItem() { Title = "M1", Q1 = 100, Q2 = 150, Q3 = 100, Q4 = 200 });
            result.Add(new DataItem() { Title = "M2", Q1 = 110, Q2 = 160, Q3 = 110, Q4 = 210 });
            result.Add(new DataItem() { Title = "M3", Q1 = 120, Q2 = 170, Q3 = 120, Q4 = 220 });

            result.Add(new DataItem() { Title = "L", Q1 = 360, Q2 = 460, Q3 = 310, Q4 = 630 });
            result.Add(new DataItem() { Title = "L1", Q1 = 110, Q2 = 150, Q3 = 100, Q4 = 200 });
            result.Add(new DataItem() { Title = "L2", Q1 = 120, Q2 = 160, Q3 = 110, Q4 = 220 });
            result.Add(new DataItem() { Title = "L3", Q1 = 130, Q2 = 150, Q3 = 100, Q4 = 210 });

            result.Add(new DataItem() { Title = "T", Q1 = 420, Q2 = 630, Q3 = 460, Q4 = 870 });
            result.Add(new DataItem() { Title = "T1", Q1 = 100, Q2 = 150, Q3 = 100, Q4 = 210 });
            result.Add(new DataItem() { Title = "T2", Q1 = 110, Q2 = 160, Q3 = 110, Q4 = 220 });
            result.Add(new DataItem() { Title = "T3", Q1 = 100, Q2 = 150, Q3 = 130, Q4 = 210 });
            result.Add(new DataItem() { Title = "T4", Q1 = 110, Q2 = 170, Q3 = 120, Q4 = 230 });

            return result;
        }
    }

    public class DataItem
    {
        public string Title { get; set; }
        public double Q1 { get; set; }
        public double Q2 { get; set; }
        public double Q3 { get; set; }
        public double Q4 { get; set; }
        public double Total
        {
            get
            {
                return Q1 + Q2 + Q3 + Q4;
            }
        }

    }
}